using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class alteContractfixedPay : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "FirstPatchAmount",
                table: "Contracts",
                type: "decimal(18,2)",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "FirstPatchDateFrom",
                table: "Contracts",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "FirstPatchDateTo",
                table: "Contracts",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "LastPatchAmount",
                table: "Contracts",
                type: "decimal(18,2)",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastPatchDateFrom",
                table: "Contracts",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastPatchDateTo",
                table: "Contracts",
                type: "datetime2",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "FirstPatchAmount",
                table: "Contracts");

            migrationBuilder.DropColumn(
                name: "FirstPatchDateFrom",
                table: "Contracts");

            migrationBuilder.DropColumn(
                name: "FirstPatchDateTo",
                table: "Contracts");

            migrationBuilder.DropColumn(
                name: "LastPatchAmount",
                table: "Contracts");

            migrationBuilder.DropColumn(
                name: "LastPatchDateFrom",
                table: "Contracts");

            migrationBuilder.DropColumn(
                name: "LastPatchDateTo",
                table: "Contracts");
        }
    }
}
